# Class CIM_ForwardedRoutes
extends CIM_RouteForwardedByService

This assocation makes explicit the IP routes that are defined in the context of a specific ForwardingService. Every ForwardingService can have its own unique set of IP routing destinations. The association is deprecated since it is incorrect to mandate the existence of a ForwardingService in order to define the existence of a route.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_RouteForwardedByService
|
+--CIM_ForwardedRoutes

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | No value
Description | string | This assocation makes explicit the IP routes that are defined in the context of a specific ForwardingService. Every ForwardingService can have its own unique set of IP routing destinations. The association is deprecated since it is incorrect to mandate the existence of a ForwardingService in order to define the existence of a route.
UMLPackagePath | string | CIM::Network::Routes
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ForwardedRoutes | CIM_ForwardingService
Dependent | CIM_ForwardedRoutes | CIM_IPRoute

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AdminDistance | uint16 | CIM_RouteForwardedByService
PathMetric | uint16 | CIM_RouteForwardedByService

## Class Methods